classification
Title: multiprocessing.connection.Connection misdocumented as multiprocessing.Connection
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Amery, bbayles, docs@python, miss-islington, serhiy.storchaka
Priority: normal Keywords: easy, patch

Created on 2017-12-18 10:17 by Amery, last changed 2018-05-05 13:21 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6223 merged bbayles, 2018-03-25 01:53
PR 6639 merged miss-islington, 2018-04-29 18:04
PR 6640 merged miss-islington, 2018-04-29 18:06
PR 6646 merged bbayles, 2018-04-29 23:00
Messages (5)
msg308539 - (view) Author: Mark (Amery) Date: 2017-12-18 10:17
https://docs.python.org/3/library/multiprocessing.html#multiprocessing.Connection purports to document the multiprocessing.Connection class. There's no such thing:

Python 3.6.1 (v3.6.1:69c0db5050, Mar 21 2017, 01:21:04) 
[GCC 4.2.1 (Apple Inc. build 5666) (dot 3)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import multiprocessing
>>> multiprocessing.Connection
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
AttributeError: module 'multiprocessing' has no attribute 'Connection'

I think it should be multiprocessing.connection.Connection?
msg315904 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-29 18:03
New changeset 9f3535c9cde8813ce631d6ebe4d790682f594828 by Serhiy Storchaka (Bo Bayles) in branch 'master':
bpo-32362: Fix references to non-existent multiprocessing.Connection() (GH-6223)
https://github.com/python/cpython/commit/9f3535c9cde8813ce631d6ebe4d790682f594828
msg315910 - (view) Author: miss-islington (miss-islington) Date: 2018-04-29 19:09
New changeset cebce2e8d15db101435194f79be31b5d80455bb0 by Miss Islington (bot) in branch '3.7':
bpo-32362: Fix references to non-existent multiprocessing.Connection() (GH-6223)
https://github.com/python/cpython/commit/cebce2e8d15db101435194f79be31b5d80455bb0
msg315913 - (view) Author: miss-islington (miss-islington) Date: 2018-04-29 19:11
New changeset 9a039d5679a5838c876ff607ce2f5d8dc0fb307a by Miss Islington (bot) in branch '3.6':
bpo-32362: Fix references to non-existent multiprocessing.Connection() (GH-6223)
https://github.com/python/cpython/commit/9a039d5679a5838c876ff607ce2f5d8dc0fb307a
msg316204 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-05-05 11:09
New changeset 4a1bc26832048325aecc01a4783a4984496d52d2 by Serhiy Storchaka (Bo Bayles) in branch '2.7':
[2.7] bpo-32362: Fix references to non-existent multiprocessing.Connection() (GH-6223) (GH-6646)
https://github.com/python/cpython/commit/4a1bc26832048325aecc01a4783a4984496d52d2
History
Date User Action Args
2018-05-05 13:21:58serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-05-05 11:09:51serhiy.storchakasetmessages: + msg316204
2018-04-29 23:00:55bbaylessetpull_requests: + pull_request6343
2018-04-29 19:11:03miss-islingtonsetmessages: + msg315913
2018-04-29 19:09:37miss-islingtonsetnosy: + miss-islington
messages: + msg315910
2018-04-29 18:06:16miss-islingtonsetpull_requests: + pull_request6336
2018-04-29 18:04:15miss-islingtonsetpull_requests: + pull_request6335
2018-04-29 18:03:07serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg315904
2018-03-25 01:54:22bbaylessetnosy: + bbayles
2018-03-25 01:53:56bbaylessetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request5964
2018-03-23 21:28:09berker.peksagsetkeywords: + easy
stage: needs patch
type: behavior
versions: - Python 3.4, Python 3.5
2017-12-18 10:17:27Amerycreate